unit PageForm;

interface

uses WinTypes, WinProcs, Classes, Graphics, Controls,
  Forms, Tabs, StdCtrls, ExtCtrls, Menus;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    TabControl1: TTabSet;
    PageControl1: TNotebook;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    ListBox1: TListBox;
    Button3: TButton;
    Button4: TButton;
    Bevel1: TBevel;
    PopupMenu1: TPopupMenu;
    Next: TMenuItem;
    Previous: TMenuItem;
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TabControl1Click(Sender: TObject);
    procedure ButtonClick(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure NextClick(Sender: TObject);
    procedure PreviousClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button3Click(Sender: TObject);
begin
  ListBox1.Clear;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  TabControl1.Tabs := PageControl1.Pages;
end;

procedure TForm1.TabControl1Click(Sender: TObject);
begin
  PageControl1.PageIndex := TabControl1.TabIndex;
end;

procedure TForm1.ButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  ListBox1.Sorted := True;
end;

procedure TForm1.NextClick(Sender: TObject);
begin
  TabControl1.SelectNext(True); {Ctrl-Tab}
end;

procedure TForm1.PreviousClick(Sender: TObject);
begin
  TabControl1.SelectNext(False); {Ctrl-Shift-Tab}
end;

end.
